/*NOTE: This file is intended for programmers. Aspro technical support is not advised to work with him.*/

/* Examples (uncomment to use):*/

/* Expand site width */
/* body .wrapper { max-width: 1400px !important;  } */

/* Set site background image */
/* body {  background: url(image_source) top no-repeat; }

/* Hide compare button */
/* a.compare_item { display: none !important;  }*/


.gallery-list__item-image-wrapper--BG {
    padding-top: 134%;
}

.btn-catalog-header {
	background-color: #ed673c; 
	color:#fff;
	border: none;
	transition: all .3s linear;
}
.btn-catalog-header:hover {
	background-color: #fa815a !important;
	color: #fff;
}
.mobilemenu__button .btn-catalog-header {
	margin: 0 0 10px;
}
.custom_calc_box {
    display: flex;
    flex-direction: column;
    gap: 40px;
    padding: 40px 0;
}
.custom_calc_block {
    display: flex;
    gap: 80px;
}

.custom_calc_block h1 {
	margin: 0;
	padding: 0;
	font-size: 41px;
}

.custom_calc_block h2 {
	margin: 0;
	padding: 0;
	font-size: 24px;
}

.custom_calc_inner {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.custom_calc_images {
    display: flex;
    align-items: center;
    gap: 25px;
}

.custom_calc_text {
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.custom_calc_text > p {
	margin: 0;
	padding: 0;
    font-size: 16px;
    font-weight: 400;
    line-height: 140%;
    color: #2b2b2b;
}

.custom_calc_form {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.custom_calc_form_inputs {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 20px;
}
.custom_calc_form_input {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.custom_calc_form_input label {
    font-size: 16px;
    font-weight: 500;
    line-height: 140%;
    color: #2b2b2b;
}
.custom_calc_form_input input {
    width: 100%;
    height: 40px;
    border: 1px solid #E9E9E9;
}
.custom_calc_form_btns {
    display: flex;
    justify-content: flex-end;
    gap: 20px;
}
.custom_calc_btn {
    background-color: #F5F7FF !important;
    transition: background-color .2s !important;
    cursor: pointer;
    color: #537BFF !important; 
    font-size: 16px !important;
    font-weight: 500 !important;
    line-height: 1.8 !important;
    padding: 8px 24px !important;
    border: none !important;
    border-radius: 20px;
}
.custom_calc_btn:hover {
    background-color: #DAE2FF;
}
.custom_calc_btn input {
    background-color: transparent;
    border: none;
    color: #537BFF !important; 
    font-size: 16px !important;
    font-weight: 500 !important;
}

.custom_calc_form_input .error {
    display: none;
    color: red;
    font-size: 14px;
}
.custom_calc_form_input .error.active {
    display: block;
}
.custom_calc_table td.full {
    font-weight: 600;
    width: 100%;
    border: none;
    min-height: 23px;
    text-align: left;
    padding: 0 0 0 10px;
}
.custom_calc_table td,
.custom_calc_table th {
    text-align: center;
    font-size: 14px;
    line-height: 140%;
    font-weight: 400;
}
.custom_calc_table th {
    font-weight: 600;
}
.mobile-open {
	display: none;
}
.custom_calc_table_box {
    display: none;
}
.custom_calc_table_box.active {
    display: block;
}
@media(max-width: 1100px) {
    .custom_calc_inner h1 {
        font-size: 35px;
    }
	.custom_calc_inner h2 {
        font-size: 20px;
    }
	.mobile-close {
		display: none;
	}
	.mobile-open {
		display: block;
	}
}
@media(max-width: 900px) {
	.custom_calc_block img {
		display: none;
	}
}
@media(max-width: 750px) {
    .custom_calc_form_inputs {
        flex-direction: column;
    }
    .custom_calc_form_input {
        width: 100%;
    }
    .custom_calc_form_btns {
        flex-direction: column;
    }
}
.custom_calc_table_container {
	width: 100%;
	overflow: auto;
}
.custom_calc_form_input input {
	padding: 0 0 0 10px;
}
.custom_calc_block img {
	width: 50%;
}
h2.h1 {
	font-size: 41px;
	color: #333;
}

.catalog-detail__previewtext .text-block {
    -webkit-line-clamp: 10;
}